Subject: Re[2]: Compact binoculars - visor?

From: bfaber <[email-masked]>
Date: Mon, 17 Jun 1996 15:43:01 EDT

I was just getting my bifocals and told the the optometrist I "couldn't
see bugs real well any more"  and he recommended an optical visor.
Hands-free, 5-10x he said. Anyone have any experience? TIA, nik sandlin.

I have found that the focal length is too short on those for decent field
observation.  I tend to be pretty demanding of my eye doctor.  One gets a
reputation but is nice if the insects are in focus.
betty faber